@echo off
echo ----------------------------------------------------------------
echo This will back up current NetPhone database settings.
echo Any previous backup created by this utility will be overwritten.
echo ----------------------------------------------------------------
echo Press CTRL+C to Cancel
pause
cls
IF EXIST "%APPDATA%\Toshiba\NetPhone\AGNT_LOC.INI" GOTO TOSHIBA
IF EXIST "%APPDATA%\Cts\NetPhone\AGNT_LOC.INI" GOTO CTS
GOTO ERROR
:TOSHIBA
set folder=Toshiba
GOTO BACKUP
:CTS
set folder=Cts
:BACKUP
echo NetPhone database found in
echo  %APPDATA%\%folder%
echo -------------------------------------------
echo Please close all NetPhone applications and
pause
cls
echo ----------------------------------------
echo Backing up NetPhone Database Settings...
echo ----------------------------------------
C:
xcopy "%APPDATA%\Toshiba\NetPhone\*.*" "%APPDATA%\%folder%\NetPhone.bck\*.*" /S /E /Y /Q
echo ----------------------------------------
echo Backup Complete!
echo ----------------------------------------
echo Your settings have been backed up to
echo  %APPDATA%\%folder%\NetPhone.bck
echo If it becomes necessary to restore settings,
echo simply run NetPhoneRestore.bat
GOTO END
:ERROR
echo NetPhone database not found in %APPDATA%\Toshiba\NetPhone or %APPDATA%\Cts\NetPhone
:END
pause