@echo off
echo -------------------------------------------------------
echo This will restore backed up NetPhone database settings,
echo overwriting active settings.
echo -------------------------------------------------------
echo Press CTRL+C to Cancel
pause
cls
IF EXIST "%APPDATA%\Toshiba\NetPhone.bck\AGNT_LOC.INI" GOTO BKTOSHIBA
IF EXIST "%APPDATA%\Cts\NetPhone.bck\AGNT_LOC.INI" GOTO BKCTS
echo ERROR: Backup dir (NetPhone.bck) not found in %APPDATA%\Toshiba or %APPDATA%\CTS
GOTO END
:BKTOSHIBA
set bkdir=Toshiba
GOTO RESTOREDIR
:BKCTS
set bkdir=CTS
:RESTOREDIR
IF EXIST "%APPDATA%\Toshiba\NetPhone\AGNT_LOC.INI" GOTO RSTTOSHIBA
IF EXIST "%APPDATA%\CTS\NetPhone\AGNT_LOC.INI" GOTO RSTCTS
echo ERROR: Cannot find current settings for NetPhone installation in
echo %APPDATA%\Toshiba\NetPhone or %APPDATA%\CTS\NetPhone
:RSTTOSHIBA
set rstdir=Toshiba
GOTO START
:RSTCTS
set rstdir=CTS
:START
echo --------------------------------------------
echo NetPhone backup found in
echo  %APPDATA%\%bkdir%\NetPhone.bck
echo Current NetPhone configuration found in
echo  %APPDATA%\%rstdir%\NetPhone
echo --------------------------------------------
echo Please close all NetPhone applications and
pause
cls
echo -------------------------------------------------
echo Restoring NetPhone Database Settings from Backup
echo -------------------------------------------------
C:
xcopy "%APPDATA%\%bkdir%\NetPhone.bck\*.*" "%APPDATA%\%rstdir%\NetPhone\*.*" /S /E /Y /Q
echo NetPhone Restore Complete!
GOTO END
:ERROR
echo NetPhone backup not found in %APPDATA%\Toshiba\NetPhone.bck
:END
pause
